%global npm_name finalhandler

Summary:       Node.js final http responder
Name:          nodejs-%{npm_name}
Version:       0.4.0
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/pillarjs/finalhandler
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Node.js function to invoke as the final step to respond to HTTP request.

%prep
%setup -q -n package

%nodejs_fixdep escape-html '>=1.0.2'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc HISTORY.md LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 0.4.0-2
- Fixup dependencies

* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 0.4.0-1
- Initial package
